# Understanding Stepper Motor Specifications:
---

## Bipolar stepper motor
- A bipolar stepper motor has an onboard driver that uses an H bridge circuit to reverse the current flow through the phases. By energising the phases while alternating the polarity, all the coils can be put to work turning the motor.
- In practical terms, this means that the coil windings are better utilised in a bipolar than a standard unipolar stepper motor (which only uses 50% of the wire coils at any one time), making bipolar stepper motors more powerful and efficient to run. Although bipolar stepper motors are technically more complicated to drive, they tend to come with an inbuilt driver chip that handles the bulk of the necessary instructions and behaviours.
- The trade-off is that they’re usually more expensive initially than standard unipolar versions, because unipolar stepper motors don’t require the current flow to be reversed in order to perform stepping functions - this makes their internal electronics much simpler and cheaper to produce.


